Bug 508239 - Review Request: perl-Hash-Merge - Merges arbitrary deep hashes into a single hash
Review Request: perl-Hash-Merge - Merges arbitrary deep hashes into a single ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-26 06:16 EDT by Tom "spot" Callaway
Modified: 2009-07-03 15:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: 0.11-2.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:36:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
tcallawa: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tom "spot" Callaway 2009-06-26 06:16:12 EDT
Spec URL: http://www.auroralinux.org/people/spot/review/new/perl-Hash-Merge.spec
SRPM URL: http://www.auroralinux.org/people/spot/review/new/perl-Hash-Merge-0.11-1.fc12.src.rpm
Description: Merges arbitrary deep hashes into a single hash
Koji Rawhide Scratch Build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=1436825

Note: This is needed to update perl-DBIx-Class in rawhide.
Comment 1 Parag AN(पराग) 2009-06-26 06:40:08 EDT
+ is ok
- is Need work

Review:
+ package builds in mock (rawhide i586).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1436825

- rpmlint is NOT silent for RPM.
perl-Hash-Merge.noarch: E: non-standard-executable-perm /usr/lib/perl5/vendor_perl/5.10.0/Hash/Merge.pm 0555
perl-Hash-Merge.noarch: E: script-without-shebang /usr/lib/perl5/vendor_perl/5.10.0/Hash/Merge.pm
==> This need to be fixed.

+ source files match upstream url
23c6a4c3b1f620e47c34c9c9afb962e71195f955  Hash-Merge-0.11.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ make test gave
All tests successful.
Files=1, Tests=45,  0 wallclock secs ( 0.03 usr  0.01 sys +  0.04 cusr  0.00 csys =  0.08 CPU)
+ Package perl-Hash-Merge-0.11-1.fc12.noarch =>
Provides: perl(Hash::Merge) = 0.11
Requires: perl(Carp) perl(base) perl(strict) perl(vars) perl(warnings)
+ Not a GUI application

Suggestions:
1) This package should own /usr/lib/perl5/vendor_perl/5.10.0/Hash
please correct this before cvs import.

2) you missed to add to spec
chmod -R u+w $RPM_BUILD_ROOT/*

3) fix rpmlint output.

APPROVED.
Comment 2 Ralf Corsepius 2009-06-26 06:45:59 EDT
Package must own %{perl_vendordir}/Hash

Revoking APPROVAL
Comment 3 Tom "spot" Callaway 2009-06-26 06:53:59 EDT
Yeah, he pointed that out. Fixed along with the other issues in -2:

New SRPM: http://www.auroralinux.org/people/spot/review/new/perl-Hash-Merge-0.11-2.fc12.src.rpm
New SPEC: http://www.auroralinux.org/people/spot/review/new/perl-Hash-Merge.spec
Comment 4 Parag AN(पराग) 2009-06-26 07:05:26 EDT
Ralf,
     I thought I have already pointed that and I see there is no need to block this review just for that change.

Anyway as you are now reviewer for this package, feel free to check -2 release.
Comment 5 Ralf Corsepius 2009-06-28 01:32:07 EDT
(In reply to comment #4)
> Anyway as you are now reviewer for this package, feel free to check -2 release.  

I am not the reviewer, it's you.

What you are observing in bugzilla is a defect in RH's infrastructure. I am not going to proceed with this review.
Comment 6 Parag AN(पराग) 2009-06-29 07:03:02 EDT
Re-Approved.
Comment 7 Tom "spot" Callaway 2009-07-01 09:09:44 EDT
New Package CVS Request
=======================
Package Name: perl-Hash-Merge
Short Description: Merges arbitrary deep hashes into a single hash
Owners: spot
Branches: EL-4 EL-5 F-10 F-11 devel
InitialCC: perl-sig

... and it's done.
Comment 8 Fedora Update System 2009-07-01 11:56:32 EDT
perl-Hash-Merge-0.11-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/perl-Hash-Merge-0.11-2.fc10
Comment 9 Fedora Update System 2009-07-01 11:56:38 EDT
perl-Hash-Merge-0.11-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Hash-Merge-0.11-2.fc11
Comment 10 Fedora Update System 2009-07-03 15:36:02 EDT
perl-Hash-Merge-0.11-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-07-03 15:38:30 EDT
perl-Hash-Merge-0.11-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.